Upgrade reasons for PIX ver 6.3.5 to ver 8.x

Unanswered Question
Nov 2nd, 2009


i have pix 515E in failover mode with ver 6.3.5. Though i will be replacing those with ASA in next one year time, i want to know if there are reasons(security caveats, vpn compatability etc) for upgrading pix version to 8.x in the interim. I do not need to use any additional features that might come with ver 8.x.

If i have to upgrade to ver 8.x (after first upgrading to ver 7.2), do i have to re-write confiuration manually or are there tool available that converts the configuation?

Thanks in advance.




I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)


If you do not require the extra features that are in versions 7.x & 8.x then I see no real reason to upgrade. There have been a few security advisory's for the 6 train - but they were pretty much all fixed with 6.3.5 I think.

The config will be converted when if you migrate from 6 to 7, from 7 to 8 the config is 99% the same.



This Discussion